global:
  checkNewVersion: false
  sendAnonymousUsage: false

accesslog:
  filePath: /var/log/traefik/access.log

api:
  dashboard: false
  disableDashboardAd: true
  insecure: false

entryPoints:
  web:
    address: :80
    # -- (Optional) Redirect all HTTP to HTTPS
    http:
      redirections:
        entryPoint:
          to: websecure
          scheme: https
  websecure:
    #    http:
    #  middlewares:
    #    - crowdsec-bouncer@file
    address: :443
    transport:
      respondingTimeouts:
        readTimeout: 0
        writeTimeout: 0
        idleTimeout: 42

# -- Configure your CertificateResolver here...
certificatesResolvers:
#   staging:
#     acme:
#       email: your-email@example.com
#       storage: /etc/traefik/certs/acme.json
#       caServer: "https://acme-staging-v02.api.letsencrypt.org/directory"
#       httpChallenge:
#         entryPoint: web

  production:
    acme:
      email: oliver@odoo4projects.com
      storage: /certs/acme.json
      caServer: "https://acme-v02.api.letsencrypt.org/directory"
      httpChallenge:
        entryPoint: web

# -- (Optional) Disable TLS Cert verification check
# serversTransport:
#   insecureSkipVerify: true

# -- (Optional) Overwrite Default Certificates
# tls:
#   stores:
#     default:
#       defaultCertificate:
#         certFile: /etc/traefik/certs/cert.pem
#         keyFile: /etc/traefik/certs/cert-key.pem
# -- (Optional) Disable TLS version 1.0 and 1.1
#   options:
#     default:
#       minVersion: VersionTLS12

providers:
  docker:
    # -- (Optional) Enable this, if you want to expose all containers automatically
    exposedByDefault: true
  file:
    directory: /etc/traefik
    watch: true


http:
  middlewares:
    crowdsec-bouncer:
      forwardauth:
        address: http://bouncer-traefik:8080/api/v1/forwardAuth
        trustForwardHeader: true

    cors-headers:
      headers:
        accessControlAllowCredentials: true


  routers:
    api-router:
      rule: "Host(`{{HOSTNAME}}.odoo4projects.com`)"
      service: api-service
      entryPoints:
        - websecure
      tls:
        certResolver: production

  services:
    api-service:
      loadBalancer:
        servers:
          - url: "http://10.5.0.1:8888"


